package org.tio.sitexxx.service.service.jpush.huawei.exception;

import com.google.common.base.Strings;
import org.tio.sitexxx.service.service.jpush.huawei.util.ValidatorUtils;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 10:50
 *    desc   :
 * </pre>
 */
public class HuaweiException extends Exception {

    public HuaweiException(String detailMessage) {
        super(detailMessage);
        ValidatorUtils.checkArgument(!Strings.isNullOrEmpty(detailMessage), "Detail message must not be empty");
    }

    public HuaweiException(String detailMessage, Throwable cause) {
        super(detailMessage, cause);
        ValidatorUtils.checkArgument(!Strings.isNullOrEmpty(detailMessage), "Detail message must not be empty");
    }
}
